Public Class ucDatosPersonales
    Inherits ucBase

    Private Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        RegisterCustomMessage(cbpPersonal)
    End Sub

    Protected Sub cbpPersonal_Callback(sender As Object, e As DevExpress.Web.CallbackEventArgsBase) Handles cbpPersonal.Callback
        Dim oUsuario As New UsuariosBusinessObject(CInt(Page.User.Identity.Name))
        oUsuario.Entity.nombres = txtNombres.Text
        oUsuario.Entity.apellidos = txtApellidos.Text
        oUsuario.Entity.email = LCase(txtEmail.Text)
        oUsuario.Entity.imagen = imgFoto.Value
        oUsuario.Entity.telefonoContacto1 = txtTelefono1.Text
        oUsuario.Entity.telefonoContacto2 = txtTelefono2.Text
        Dim msg As MSG = oUsuario.SaveChanges()
        If msg.EventType = dGen.Library.Entity.MSG.MsgType.Success Then
            CustomMessage(msg, "Guardar Datos Personales", cbpPersonal)
        End If

    End Sub

End Class